BMACommandSession Class Reference

`#include <BMACommandSession.h>`

Inheritance diagram for BMACommandSession:
[legend]
Collaboration diagram for BMACommandSession:
[legend]

## Public Member Functions

| BMACommandSession (BMAEPoll &ePoll)
virtual void | output (stringstream &out)
Public Member Functions inherited from BMASession
| BMASession (BMAEPoll &ePoll)
Public Member Functions inherited from BMATCPSocket
| BMATCPSocket (BMAEPoll &ePoll)
string | getClientAddress ()
| Get the client network address as xxx.xxx.xxx.xxx.
string | getClientAddressAndPort ()
| Get the client network address and port as xxx.xxx.xxx.xxx:ppppp.
int | getClientPort ()
| Get the client network port number.
void | onConnected () override
| Called when socket is open and ready to communicate. More...
Public Member Functions inherited from BMASocket
| BMASocket (BMAEPoll &ePoll)
| ~BMASocket ()
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (char *buffer, int length)
void | output (stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...

## Protected Member Functions

void | protocol (char *data, int length) override
Protected Member Functions inherited from BMASession
virtual void | onConnected ()
| Called when socket is open and ready to communicate. More...
virtual void | onDataReceived (char *data, int length)
| Called when data is received from the socket. More...
Protected Member Functions inherited from BMASocket
void | setBufferSize (int length)

## Additional Inherited Members

Public Attributes inherited from BMASession
string | command
Public Attributes inherited from BMATCPSocket
struct sockaddr_in | client_addr
socklen_t | client_addr_len
Public Attributes inherited from BMASocket
class {
} | bufferSize
Public Attributes inherited from BMAObject
string | name
string | tag
Protected Attributes inherited from BMASocket
BMAEPoll & | ePoll
bool | shutDown = false

## Detailed Description

BMACommandSession

Extends the session parameters for this BMATCPSocket derived object. Extend the protocol() method in order to define the behavior and protocol interaction for this socket.

## Member Function Documentation

## output()

void BMACommandSession::output | ( | stringstream & | out | ) |

virtual

The output method is called by a socket session (BMASession) and will output the detail information for the client socket. When extending BMATCPSocket or BMASession you can override the method to add attributes to the list.

Reimplemented from BMASession.

The documentation for this class was generated from the following files:

- /home/barant/Documents/Development/BMASockets/BMACommandSession.h
- /home/barant/Documents/Development/BMASockets/BMACommandSession.cpp